/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a16bb7d42320c9aa755a1d2a0d45bdbc7",
"HistoryLogReader_8h_source.html",
"LogControl_8cc.html#adafd1453d420077d575f56fe735eaab1",
"MetaLinkParser_8cc.html",
"PluginFrameException_8cc_source.html",
"Regex_8h.html",
"ResolverProblem_8cc.html#a3e2b143ca1703deec236b90e4cbc4ab1",
"SolverQueueItemLock_8cc.html",
"TargetCallbackReceiver_8h.html",
"YamlTestcaseHelpers_8h.html",
"classzypp_1_1ByteCount.html#a4f8f87b80ca56c7a177559e20d7d9074",
"classzypp_1_1CheckSum.html#a717983c8a9a8e0f1013041aaa8226b3a",
"classzypp_1_1Digest.html#a374400df1fecdf938486c37cb313e5af",
"classzypp_1_1HACK_1_1Callback.html",
"classzypp_1_1InputStream.html#a2e9072c8acd88951ad09f5eea6b6d6f0",
"classzypp_1_1Match.html#aa36c4653ca5d4a8c53064f5f5ec70d6d",
"classzypp_1_1PluginExecutor.html#af17a4a601b9a2d2d42fc90bc7f30bece",
"classzypp_1_1PoolQuery.html#af306e08a058711363e0cf974c6bc1c04",
"classzypp_1_1PublicKeyData.html#ab432209a8444d507100d7293ad007268",
"classzypp_1_1Repository.html#a5b78b9d9ac00f5755d279badf035c36d",
"classzypp_1_1ResStatus.html#a0abf9b81630df2d33e7286dc01ff4841",
"classzypp_1_1ResolverProblem.html#a26d0ae5b29112d58ba4bf01256b5bac2",
"classzypp_1_1Url.html#a4b2a104d35d9f7fd4e12117f0d7da2db",
"classzypp_1_1ZConfig_1_1Impl.html#a9d8e316f281620061960f1ab9972dfbf",
"classzypp_1_1base_1_1Flags.html#a8b1fe31aeb1ff0a7d6c7e176277f5d0b",
"classzypp_1_1detail_1_1fXstream.html#a03555a82404ec3df7852bcccdd08a80f",
"classzypp_1_1filesystem_1_1StatMode.html#a6d45fdbce1971cac025289d2e8b3c0cc",
"classzypp_1_1media_1_1MediaBadCAException.html#a2aee01d1b514b4becbd89c200963634b",
"classzypp_1_1media_1_1MediaHandler.html#a5f54a96c0705aa977f07372f67bc6ea1",
"classzypp_1_1media_1_1MediaTimeoutException.html#a61508243767159bbbf04c02159eb5ccf",
"classzypp_1_1media_1_1multifetchworker.html#a6cb1fe3b6f13e580891713f05df2d2f4",
"classzypp_1_1pool_1_1PoolImpl.html#a50fa018e301591941257d20d1858d2e9",
"classzypp_1_1repo_1_1ServicePluginException.html",
"classzypp_1_1sat_1_1Pool.html#a114ad4c68cd7fc8702d83119b693508c",
"classzypp_1_1sat_1_1Solvable.html#a45eec1316edf5ab9c6a8d2533357434c",
"classzypp_1_1sat_1_1detail_1_1DIWrap.html#aeb1e2f4f969795a282a1e187ad1418b0",
"classzypp_1_1syscontent_1_1Reader.html#afe2373222aae9d8e9e7b04a702dac07a",
"classzypp_1_1target_1_1TargetImpl.html#a90899160b17dad09ecee7cc7d1a3d46c",
"classzypp_1_1target_1_1rpm_1_1RpmSubprocessException.html#a66a796d6c743b916b660e82a6b6d4cc6",
"classzypp_1_1url_1_1UrlBase.html#a979997e8b22b2b75cb9b14bf15b4fc26",
"classzypp_1_1zypp__detail_1_1ZYppImpl.html#af3c7d0741fb068b773bda1d11af6340d",
"group__g__Functor.html",
"plugin-system.html",
"structzypp_1_1Dep.html#a5b278fd7bb15289ae6f42303aa8c97ab",
"structzypp_1_1KeyRing_1_1Impl.html#ab02f4251333cdfecf478cada6ad4e84b",
"structzypp_1_1PublicSubkeyData_1_1Impl.html#acdbff827a5cf3300383f2a590ccb3dda",
"structzypp_1_1RepoManager_1_1Impl.html#aa26659c037bc1f56d49c06d078efdf99",
"structzypp_1_1base_1_1ProvideNumericId.html#a09fb40074cbc55da2f498ea24a247722",
"structzypp_1_1functor_1_1FunctorRef_3_01TFunctor_00_01res__type_00_01arg1__type_01_4.html",
"structzypp_1_1media_1_1ml__parsedata.html#ad1f17f5c197b2bf181b753ea7a711a6e",
"structzypp_1_1repo_1_1RepoType.html",
"structzypp_1_1sat_1_1Transaction_1_1Impl.html#ae18ec79482a9b4b3b3305151d90e2985",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#a6fdfe60dbac9babfc9688131a793d932",
"zypp-plugins.html#plugin-url-resolver"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';